%define name	openntpd
%define version	3.6.1p1
%define release	1mdk

Summary:	OpenNTPD - NTP Time Synchronization Client 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Servers
URL:		http://www.openntpd.org
Source0:	ftp://ftp.openbsd.org/pub/OpenBSD/OpenNTPD/%{name}-%{version}.tar.bz2
Source1:	openntpd.init.bz2
PreReq:		rpm-helper
BuildRequires:	openssl-devel
Conflicts:	ntp ntp-client
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
OpenNTPD is a FREE, easy to use implementation of the Network Time
Protocol. It provides the ability to sync the local clock to
remote NTP servers and can act as NTP server itself,
redistributing the local clock. 

%prep

%setup -q -n %{name}-%{version}

bzcat %{SOURCE1} > openntpd.init

%build

%configure2_5x \
    --disable-strip \
    --with-privsep-user=ntp \
    --with-privsep-path=%{_var}/empty \
    --with-ssl-dir=%{_prefix}
	      
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_var}/empty/ntpd

%makeinstall_std

install -m0755 openntpd.init %{buildroot}%{_initrddir}/ntpd

%pre
%_pre_useradd ntp %{_var}/empty/ntpd /bin/false

%post
%_post_service ntpd

%preun
%_preun_service ntpd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CREDITS ChangeLog README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ntpd.conf
%attr(0755,root,root) %config(noreplace) %{_initrddir}/ntpd
%attr(0755,root,root) %{_sbindir}/*
%attr(0644,root,root) %{_mandir}/man*/*
%attr(0755,ntp,ntp) %dir %{_var}/empty/ntpd

%changelog
* Fri Jan 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6.1p1-1mdk
- initial mandrake package, used parts of the provided spec file
